Signature
Method signature onclient.secrets:
Parameters
string
required
Project ID with prefix
pp..Returns
Promise<ProjectSecret[]>
Project secret metadata; secret values are not returned.
Returns an array. Each item has these fields:
ProjectSecretName
required
The name of a project secret.
string
required
Time the secret was created, as an ISO 8601 timestamp.
string
required
Time the secret was last updated, as an ISO 8601 timestamp.
Errors
HTTP errors throwPotatoApiError. The endpoint documents these error responses:
HTTP endpoint:
GET /projects/{projectId}/secrets.